# Uses of Interface
org.opensaml.xacml.policy.ResourceType

Packages that use ResourceType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of ResourceType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type ResourceType
Modifier and Type
Method
Description
`List<ResourceType>`
ResourcesType.`getResources()`
Gets the resources.

## Uses of ResourceType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement ResourceType
Modifier and Type
Class
Description
`class`
`ResourceTypeImpl`
Implementation of `ResourceType`.
Fields in org.opensaml.xacml.policy.impl with type parameters of type ResourceType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<ResourceType>`
ResourcesTypeImpl.`resource`
List of resource matches.
Methods in org.opensaml.xacml.policy.impl that return ResourceType
Modifier and Type
Method
Description
`ResourceType`
ResourceTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ResourceType`
ResourceTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type ResourceType
Modifier and Type
Method
Description
`List<ResourceType>`
ResourcesTypeImpl.`getResources()`
Gets the resources.